Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
radm::TerminalBlock Interface Reference

TerminalBlock interface More...

`import "TerminalBlock.idl";`

## Classes
struct | Settings
struct | SettingsChangedEvent
| Event: The terminal block settings have changed. More...
struct | Status
| Terminal Block Status including input and output. More...
struct | StatusChangedEvent
| Event: The terminal block status have changed. More...

## Public Types
enum | InputMode { FULL_ACCESS , VIDEO_ONLY , NO_ACCESS }
| KVM access control based on input status. More...
enum | OutputMode { DEVICE_OFF , DEVICE_ON , DEVICE_BLINK , DEVICE_PULSE , KVMSTATUS }
| Output Options. More...
enum | InputStatus { OPEN , CLOSED }
| Input Status. More...
enum | OutputStatus { OFF , ON , BLINKING }
| Output Status. More...

## Public Member Functions
Settings | getSettings ()
| Retrieve terminal block settings.
int | setSettings (in Settings settings)
| Change terminal block settings.
Status | getStatus ()
| Retrieve terminal block status.

## Public Attributes
constant int | ERR_INVALID_ARGUMENT = 1
| Any argument was invalid.
constant int | ERR_BUSY_PULSING = 2
| Settings can't be applied because previous pulse is still active.

## Detailed Description

TerminalBlock interface

Definition at line 10 of file TerminalBlock.idl.

## Member Enumeration Documentation

## ◆ InputMode

enum radm::TerminalBlock::InputMode

KVM access control based on input status.

Enumerator
FULL_ACCESS | Allow full KVM access.
VIDEO_ONLY | Allow video-only KVM access.
NO_ACCESS | Do not allow KVM access.

Definition at line 15 of file TerminalBlock.idl.

## ◆ InputStatus

enum radm::TerminalBlock::InputStatus

Input Status.

Definition at line 31 of file TerminalBlock.idl.

## ◆ OutputMode

enum radm::TerminalBlock::OutputMode

Output Options.

Enumerator
DEVICE_OFF | Output off.
DEVICE_ON | Output on.
DEVICE_BLINK | Output blinking.
DEVICE_PULSE | Output pulse.
KVMSTATUS | Output on/off based on KVM port status.

Definition at line 22 of file TerminalBlock.idl.

## ◆ OutputStatus

enum radm::TerminalBlock::OutputStatus

Output Status.

Definition at line 37 of file TerminalBlock.idl.

## Member Function Documentation

## ◆ getSettings()

Settings radm::TerminalBlock::getSettings | ( |  | ) |

Retrieve terminal block settings.

Returns
  Settings

## ◆ getStatus()

Status radm::TerminalBlock::getStatus | ( |  | ) |

Retrieve terminal block status.

Returns
  Terminal block status

## ◆ setSettings()

int radm::TerminalBlock::setSettings | ( | in Settings | settings | ) |

Change terminal block settings.

Parameters

  settings | New terminal block settings

Returns
  0 on success
  1 if any setting value was invalid
  2 if a previous pulse is still active

## Member Data Documentation

## ◆ ERR_BUSY_PULSING

constant int radm::TerminalBlock::ERR_BUSY_PULSING = 2

Settings can't be applied because previous pulse is still active.

Definition at line 12 of file TerminalBlock.idl.

## ◆ ERR_INVALID_ARGUMENT

constant int radm::TerminalBlock::ERR_INVALID_ARGUMENT = 1

Any argument was invalid.

Definition at line 11 of file TerminalBlock.idl.

The documentation for this interface was generated from the following file:

- TerminalBlock.idl